#1780 JavaScriptShell: NPE on startup (jEdit 5.2, Java 1.7)

None
closed-duplicate
nobody
None
5
2014-05-04
2014-04-10
Alan Ezust
No

9:48:38 AM [main] [error] PluginJAR: java.lang.NullPointerException
9:48:38 AM [main] [error] PluginJAR: at javascriptshell.JavaScriptShell.init(JavaScriptShell.java:71)
9:48:38 AM [main] [error] PluginJAR: at javascriptshell.JavaScriptShellPlugin.<init>(JavaScriptShellPlugin.java:33)
9:48:38 AM [main] [error] PluginJAR: at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
9:48:38 AM [main] [error] PluginJAR: at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
9:48:38 AM [main] [error] PluginJAR: at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
9:48:38 AM [main] [error] PluginJAR: at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
9:48:38 AM [main] [error] PluginJAR: at java.lang.Class.newInstance(Class.java:374)
9:48:38 AM [main] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:868)
9:48:38 AM [main] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:956)
9:48:38 AM [main] [error] PluginJAR: at org.gjt.sp.jedit.jEdit.main(jEdit.java:549)
9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: /home/ezust/.jedit/jars/JavaScriptShell.jar:
9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: Cannot start: java.lang.NullPointerException
9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: Try updating to a newer version of the plugin.
9:48:43 AM [AWT-EventQueue-0] [error] AWT-EventQueue-0: sys-package-mgr: processing modified jar, '/home/ezust/workspace/jedit/running/jedit.jar'
9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: Error while starting plugin javascriptshell.JavaScriptShellPlugin
9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: java.lang.NullPointerException
9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at javascriptshell.JavaScriptShell.init(JavaScriptShell.java:71)
9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at javascriptshell.JavaScriptShellPlugin.<init>(JavaScriptShellPlugin.java:33)
9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:

Related

Plugin Bugs: #1780

Discussion

  • Alan Ezust
    Alan Ezust
    2014-05-04

    • status: open --> closed-duplicate
     
  • On May 4, 2014 2:13 PM, "Alan Ezust" ezust@users.sf.net wrote:

    • status: open --> closed-duplicate
    • Comment:

    Duplicate of https://sourceforge.net/p/jedit/plugin-bugs/1246/

    Status: closed-duplicate
    Group:
    Created: Thu Apr 10, 2014 04:50 PM UTC by Alan Ezust
    Last Updated: Sun May 04, 2014 07:11 PM UTC
    Owner: nobody

    9:48:38 AM [main] [error] PluginJAR: java.lang.NullPointerException
    9:48:38 AM [main] [error] PluginJAR: at
    javascriptshell.JavaScriptShell.init(JavaScriptShell.java:71)
    9:48:38 AM [main] [error] PluginJAR: at
    javascriptshell.JavaScriptShellPlugin.(JavaScriptShellPlugin.java:33)
    9:48:38 AM [main] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    9:48:38 AM [main] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
    9:48:38 AM [main] [error] PluginJAR: at
    sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
    9:48:38 AM [main] [error] PluginJAR: at
    java.lang.reflect.Constructor.newInstance(Constructor.java:526)
    9:48:38 AM [main] [error] PluginJAR: at
    java.lang.Class.newInstance(Class.java:374)
    9:48:38 AM [main] [error] PluginJAR: at
    org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:868)
    9:48:38 AM [main] [error] PluginJAR: at
    org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:956)
    9:48:38 AM [main] [error] PluginJAR: at
    org.gjt.sp.jedit.jEdit.main(jEdit.java:549)
    9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry:
    /home/ezust/.jedit/jars/JavaScriptShell.jar:
    9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: Cannot start:
    java.lang.NullPointerException
    9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: Try updating to a
    newer version of the plugin.
    9:48:43 AM [AWT-EventQueue-0] [error] AWT-EventQueue-0: sys-package-mgr:
    processing modified jar, '/home/ezust/workspace/jedit/running/jedit.jar'
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: Error while starting
    plugin javascriptshell.JavaScriptShellPlugin
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR:
    java.lang.NullPointerException
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    javascriptshell.JavaScriptShell.init(JavaScriptShell.java:71)
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    javascriptshell.JavaScriptShellPlugin.(JavaScriptShellPlugin.java:33)
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:


    Sent from sourceforge.net because jedit-devel@lists.sourceforge.net is
    subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

    To unsubscribe from further messages, a project admin can change settings
    at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this
    is a mailing list, you can unsubscribe from the mailing list.


    "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
    Instantly run your Selenium tests across 300+ browser/OS combos. Get
    unparalleled scalability from the best Selenium testing platform available.
    Simple to use. Nothing to install. Get started now for free."
    http://p.sf.net/sfu/SauceLabs
    --


    jEdit Developers' List
    jEdit-devel@lists.sourceforge.net
    https://lists.sourceforge.net/lists/listinfo/jedit-devel

     

    Related

    Plugin Bugs: #1780

  • On May 4, 2014 2:13 PM, "Alan Ezust" ezust@users.sf.net wrote:

    • status: open --> closed-duplicate
    • Comment:

    Duplicate of https://sourceforge.net/p/jedit/plugin-bugs/1246/

    Status: closed-duplicate
    Group:
    Created: Thu Apr 10, 2014 04:50 PM UTC by Alan Ezust
    Last Updated: Sun May 04, 2014 07:11 PM UTC
    Owner: nobody

    9:48:38 AM [main] [error] PluginJAR: java.lang.NullPointerException
    9:48:38 AM [main] [error] PluginJAR: at
    javascriptshell.JavaScriptShell.init(JavaScriptShell.java:71)
    9:48:38 AM [main] [error] PluginJAR: at
    javascriptshell.JavaScriptShellPlugin.(JavaScriptShellPlugin.java:33)
    9:48:38 AM [main] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    9:48:38 AM [main] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
    9:48:38 AM [main] [error] PluginJAR: at
    sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
    9:48:38 AM [main] [error] PluginJAR: at
    java.lang.reflect.Constructor.newInstance(Constructor.java:526)
    9:48:38 AM [main] [error] PluginJAR: at
    java.lang.Class.newInstance(Class.java:374)
    9:48:38 AM [main] [error] PluginJAR: at
    org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:868)
    9:48:38 AM [main] [error] PluginJAR: at
    org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:956)
    9:48:38 AM [main] [error] PluginJAR: at
    org.gjt.sp.jedit.jEdit.main(jEdit.java:549)
    9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry:
    /home/ezust/.jedit/jars/JavaScriptShell.jar:
    9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: Cannot start:
    java.lang.NullPointerException
    9:48:38 AM [main] [error] ErrorListDialog$ErrorEntry: Try updating to a
    newer version of the plugin.
    9:48:43 AM [AWT-EventQueue-0] [error] AWT-EventQueue-0: sys-package-mgr:
    processing modified jar, '/home/ezust/workspace/jedit/running/jedit.jar'
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: Error while starting
    plugin javascriptshell.JavaScriptShellPlugin
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR:
    java.lang.NullPointerException
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    javascriptshell.JavaScriptShell.init(JavaScriptShell.java:71)
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    javascriptshell.JavaScriptShellPlugin.(JavaScriptShellPlugin.java:33)
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    9:49:07 AM [AWT-EventQueue-0] [error] PluginJAR: at
    sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:


    Sent from sourceforge.net because jedit-devel@lists.sourceforge.net is
    subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

    To unsubscribe from further messages, a project admin can change settings
    at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this
    is a mailing list, you can unsubscribe from the mailing list.


    "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
    Instantly run your Selenium tests across 300+ browser/OS combos. Get
    unparalleled scalability from the best Selenium testing platform available.
    Simple to use. Nothing to install. Get started now for free."
    http://p.sf.net/sfu/SauceLabs
    --


    jEdit Developers' List
    jEdit-devel@lists.sourceforge.net
    https://lists.sourceforge.net/lists/listinfo/jedit-devel

     

    Related

    Plugin Bugs: #1780